//#include <windows.h>
#include <stdlib.h>


class CriticalSection {
public:
    CriticalSection(char *LockName=NULL, int SpinCount=4000);
    ~CriticalSection();
    void Lock();
    void Unlock();

private:
    CRITICAL_SECTION cs;
    char *Name;
};
